include( GNUInstallDirs )

if ( CMAKE_PREFIX_PATH)
  set( ENV{PKG_CONFIG_PATH} "${CMAKE_PREFIX_PATH}/${CMAKE_INSTALL_LIBDIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )
endif( )
if ( PKG_CONFIG_PATH )
  set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}" )
endif ( PKG_CONFIG_PATH )

find_package(PkgConfig)

pkg_check_modules(LTCMAKE REQUIRED ldastoolscmake>=1.0.4)

if ( LTCMAKE_FOUND )
  set( ENV{PKG_CONFIG_PATH} "${LTCMAKE_PREFIX}/lib64/pkgconfig:${LTCMAKE_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}" )
endif ( )
execute_process(
  COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=LDASTOOLS_CMAKE_MODULE_DIR ldastoolscmake
  OUTPUT_VARIABLE _PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE)
set( CMAKE_MODULE_PATH ${_PATH} CACHE PATH "Module search prefix" )
execute_process(
  COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=prefix ldastoolscmake
  OUTPUT_VARIABLE _PATH
  OUTPUT_STRIP_TRAILING_WHITESPACE)
set( CMAKE_PREFIX_PATH ${_PATH} CACHE PATH "Search prefix" )

